MWAWPictBitmapContainer< T > Class Template Reference

a template class to store a 2D array of m_data More...

`#include <MWAWPictBitmap.hxx>`

## Public Member Functions

| MWAWPictBitmapContainer (MWAWVec2i const &sz)
| constructor given size
virtual | ~MWAWPictBitmapContainer ()
| destructor
bool | ok () const
| returns ok, if the m_data is allocated
int | cmp (MWAWPictBitmapContainer< T > const &orig) const
| a comparison operator
MWAWVec2i const & | size () const
| return the array size
int | numRows () const
| gets the number of row
int | numColumns () const
| gets the number of column
T const & | get (int i, int j) const
| accessor of a cell m_data
T const * | getRow (int j) const
| accessor of a row m_data
void | set (int i, int j, T const &v)
| sets a cell m_data
template<class U>
void | setRow (int j, U const *val)
| sets a line of m_data
template<class U>
void | setColumn (int i, U const *val)
| sets a column of m_data

## Protected Attributes

MWAWVec2i | m_size
| the size
T * | m_data
| the m_data placed by row ie. d_00, d_10, ... , d_{X-1}0, ..

## Private Member Functions

| MWAWPictBitmapContainer (MWAWPictBitmapContainer const &orig)=delete
MWAWPictBitmapContainer & | operator= (MWAWPictBitmapContainer const &orig)=delete

## Detailed Description

template<class T>
class MWAWPictBitmapContainer< T >

a template class to store a 2D array of m_data

## Constructor & Destructor Documentation

## MWAWPictBitmapContainer() [1/2]

template<class T>

MWAWPictBitmapContainer< T >::MWAWPictBitmapContainer | ( | MWAWVec2i const & | sz | ) |

inline explicit

constructor given size

Referenced by cmp(), MWAWPictBitmapContainer(), and operator=().

## ~MWAWPictBitmapContainer()

template<class T>

virtual MWAWPictBitmapContainer< T >::~MWAWPictBitmapContainer | ( |  | ) |

inline virtual

destructor

## MWAWPictBitmapContainer() [2/2]

template<class T>

MWAWPictBitmapContainer< T >::MWAWPictBitmapContainer | ( | MWAWPictBitmapContainer< T > const & | orig | ) |

private delete

## Member Function Documentation

## cmp()

template<class T>

int MWAWPictBitmapContainer< T >::cmp | ( | MWAWPictBitmapContainer< T > const & | orig | ) | const

inline

a comparison operator

## get()

template<class T>

T const & MWAWPictBitmapContainer< T >::get | ( | int | i,
|  | int | j ) const

inline

accessor of a cell m_data

## getRow()

template<class T>

T const * MWAWPictBitmapContainer< T >::getRow | ( | int | j | ) | const

inline

accessor of a row m_data

Referenced by MWAWPictBitmapInternal::getBMPData(), MWAWPictBitmapInternal::getPBMData(), MWAWPictBitmapInternal::getPPMData(), and MWAWPictBitmapInternal::getPPMData().

## numColumns()

template<class T>

int MWAWPictBitmapContainer< T >::numColumns | ( |  | ) | const

inline

gets the number of column

## numRows()

template<class T>

int MWAWPictBitmapContainer< T >::numRows | ( |  | ) | const

inline

gets the number of row

## ok()

template<class T>

bool MWAWPictBitmapContainer< T >::ok | ( |  | ) | const

inline

returns ok, if the m_data is allocated

## operator=()

template<class T>

MWAWPictBitmapContainer & MWAWPictBitmapContainer< T >::operator= | ( | MWAWPictBitmapContainer< T > const & | orig | ) |

private delete

## set()

template<class T>

void MWAWPictBitmapContainer< T >::set | ( | int | i,
|  | int | j,
|  | T const & | v )

inline

sets a cell m_data

## setColumn()

template<class T>
template<class U>

void MWAWPictBitmapContainer< T >::setColumn | ( | int | i,
|  | U const * | val )

inline

sets a column of m_data

## setRow()

template<class T>
template<class U>

void MWAWPictBitmapContainer< T >::setRow | ( | int | j,
|  | U const * | val )

inline

sets a line of m_data

## size()

template<class T>

MWAWVec2i const & MWAWPictBitmapContainer< T >::size | ( |  | ) | const

inline

return the array size

Referenced by MWAWPictBitmapInternal::getBMPData(), MWAWPictBitmapInternal::getPBMData(), MWAWPictBitmapInternal::getPPMData(), and MWAWPictBitmapInternal::getPPMData().

## Member Data Documentation

## m_data

template<class T>

T* MWAWPictBitmapContainer< T >::m_data

protected

the m_data placed by row ie. d_00, d_10, ... , d_{X-1}0, ..

Referenced by cmp(), get(), getRow(), MWAWPictBitmapContainer(), ok(), set(), setColumn(), setRow(), and ~MWAWPictBitmapContainer().

## m_size

template<class T>

MWAWVec2i MWAWPictBitmapContainer< T >::m_size

protected

the size

Referenced by cmp(), get(), getRow(), MWAWPictBitmapContainer(), numColumns(), numRows(), set(), setColumn(), setRow(), and size().

The documentation for this class was generated from the following file:

- MWAWPictBitmap.hxx